internship_law_extr/urls.py
from django.contrib.staticfiles.urls import static
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

from django.contrib import admin
from django.urls import path,include

from internship_law_extr import settings

urlpatterns = [
    path('admin/', admin.site.urls, name='admin'),
    path("", include(("main_app.urls","main_app"), namespace='core')),
]

urlpatterns += staticfiles_urlpatterns()
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

main_app/urls.py
from django.urls import path
from .views import base,suggestions_view, load_in_db,clear , select_arret, home, load_patterns, download_file, get_choice,load_all,previous_suggestion,selected_view
urlpatterns = [
    path("", home, name="home"),
    path("load_patterns", load_patterns, name="load_patterns"),
    path("load_from_cache/<slug>",load_in_db,name="load-from-cache"),
    path("load_all/", load_all, name="load-all"),
    path("prev_selection",previous_suggestion,name="prev"),
    path("suggestions/<borne_inf>/<borne_sup>/<combinaison>/<selected>", suggestions_view.as_view(), name="suggestions"),
    path("selected/", selected_view.as_view(), name="selected"),
    path("select/<slug>", select_arret, name="select"),
    path("dl_csv", download_file, name="dl_csv"),
    path("clear_db",clear,name="clear"),
    path("get_choice", get_choice, name="get_choice"),
]

templates/base.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.11.2/css/all.css">
    <link href="{% static 'css/bootstrap.min.css' %}" rel="stylesheet">
    <link href="{% static 'css/mdb.min.css' %}" rel="stylesheet">
    <link href="{% static 'css/style.min.css' %}" rel="stylesheet">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
    <title>{% block head_title %}{% endblock %}</title>
    {% block extra_head %}
    {% endblock %}
    <style type="text/css">
    html,
    body,
    header,
    .carousel {
      height: 60vh;
    }
    @media (max-width: 740px) {
      html,
      body,
      header,
      .carousel {
        height: 100vh;
      }
    }
    @media (min-width: 800px) and (max-width: 850px) {
      html,
      body,
      header,
      .carousel {
        height: 100vh;
      }
    }
    @import url('https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700,900');
    body {
        font-family: 'Roboto', sans-serif;
      }



    /* Styling Checkbox Starts */
    .checkbox-label {
        display: block;
        position: relative;
        margin: auto;
        cursor: pointer;
        font-size: 22px;
        line-height: 24px;
        height: 24px;
        width: 24px;
        clear: both;
    }

    .checkbox-label input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
    }

    .checkbox-label .checkbox-custom {
        position: absolute;
        top: 0px;
        left: 0px;
        height: 24px;
        width: 24px;
        background-color: transparent;
        border-radius: 5px;
      	transition: all 0.3s ease-out;
      	-webkit-transition: all 0.3s ease-out;
      	-moz-transition: all 0.3s ease-out;
      	-ms-transition: all 0.3s ease-out;
      	-o-transition: all 0.3s ease-out;
        border: 2px solid #C0C0C0;
    }


    .checkbox-label input:checked ~ .checkbox-custom {
        background-color: #FFFFFF;
        border-radius: 5px;
        -webkit-transform: rotate(0deg) scale(1);
        -ms-transform: rotate(0deg) scale(1);
        transform: rotate(0deg) scale(1);
        opacity:1;
        border: 2px solid #C0C0C0;
    }


    .checkbox-label .checkbox-custom::after {
        position: absolute;
        content: "";
        left: 12px;
        top: 12px;
        height: 0px;
        width: 0px;
        border-radius: 5px;
        border: solid #C0C0C0;
        border-width: 0 3px 3px 0;
        -webkit-transform: rotate(0deg) scale(0);
        -ms-transform: rotate(0deg) scale(0);
        transform: rotate(0deg) scale(0);
        opacity:1;
      	transition: all 0.3s ease-out;
      	-webkit-transition: all 0.3s ease-out;
      	-moz-transition: all 0.3s ease-out;
      	-ms-transition: all 0.3s ease-out;
      	-o-transition: all 0.3s ease-out;
    }


    .checkbox-label input:checked ~ .checkbox-custom::after {
      -webkit-transform: rotate(45deg) scale(1);
      -ms-transform: rotate(45deg) scale(1);
      transform: rotate(45deg) scale(1);
      opacity:1;
      left: 8px;
      top: 3px;
      width: 6px;
      height: 12px;
      border: solid #009BFF;
      border-width: 0 2px 2px 0;
      background-color: transparent;
      border-radius: 0;
    }



    /* For Ripple Effect */
    .checkbox-label .checkbox-custom::before {
        position: absolute;
        content: "";
        left: 10px;
        top: 10px;
        width: 0px;
        height: 0px;
        border-radius: 5px;
        border: 2px solid #FFFFFF;
        -webkit-transform: scale(0);
        -ms-transform: scale(0);
        transform: scale(0);
    }

    .checkbox-label input:checked ~ .checkbox-custom::before {
        left: -3px;
        top: -3px;
        width: 24px;
        height: 24px;
        border-radius: 5px;
        -webkit-transform: scale(3);
        -ms-transform: scale(3);
        transform: scale(3);
        opacity:0;
        z-index: 999;
        transition: all 0.3s ease-out;
      	-webkit-transition: all 0.3s ease-out;
      	-moz-transition: all 0.3s ease-out;
      	-ms-transition: all 0.3s ease-out;
      	-o-transition: all 0.3s ease-out;
    }




    /* Style for Circular Checkbox */
    .checkbox-label .checkbox-custom.circular {
        border-radius: 50%;
        border: 2px solid #FFFFFF;
    }

    .checkbox-label input:checked ~ .checkbox-custom.circular {
        background-color: #FFFFFF;
        border-radius: 50%;
        border: 2px solid #FFFFFF;
    }
    .checkbox-label input:checked ~ .checkbox-custom.circular::after {
        border: solid #0067FF;
        border-width: 0 2px 2px 0;
    }
    .checkbox-label .checkbox-custom.circular::after {
        border-radius: 50%;
    }

    .checkbox-label .checkbox-custom.circular::before {
        border-radius: 50%;
        border: 2px solid #FFFFFF;
    }

    .checkbox-label input:checked ~ .checkbox-custom.circular::before {
        border-radius: 50%;
    }

  </style>

</head>

<nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark mb-2">
      <a class="navbar-brand" href="#"></a>

      <div class="collapse navbar-collapse" id="navbarCollapse">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item">
            <a class="nav-link" href="{% url "core:home" %}">Home <span class="sr-only">(current)</span></a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url "core:prev" %}">Suggestions</a>
          </li>
            <li class="nav-item">
                <a class="nav-link"  href="{% url "core:selected" %}">Selected Items</a>
            </li>
            <li class="nav-item">
               <a class="nav-link" target="_blank" href="/admin/">Admin Panel</a>
            </li>
        </ul>

          <ul class="navbar-nav nav-flex-icons">
              <li class="nav-item">
                  <a class="nav-link"  href="{% url "core:dl_csv" %}">
                      Download
                      <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-download" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                          <path fill-rule="evenodd" d="M.5 9.9a.5.5 0 0 1 .5.5v2.5a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1v-2.5a.5.5 0 0 1 1 0v2.5a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2v-2.5a.5.5 0 0 1 .5-.5z"/>
                          <path fill-rule="evenodd" d="M7.646 11.854a.5.5 0 0 0 .708 0l3-3a.5.5 0 0 0-.708-.708L8.5 10.293V1.5a.5.5 0 0 0-1 0v8.793L5.354 8.146a.5.5 0 1 0-.708.708l3 3z"/>
                      </svg>
                  </a>
              </li>
          </ul>
      </div>

</nav>


    {% if messages %}
        {% for message in messages %}
        <div class="alert alert-danger mt-5 pt-3" role="alert">
        {{ message }}
        </div>
        {% endfor %}
    {% endif %}

{% block content %}

{% endblock %}

</html>

templates/home.html
<!DOCTYPE html>

{% extends "base.html" %}
{% load static %}
{% load crispy_forms_tags %}


{% block extra_head %}
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="/docs/4.0/assets/img/favicons/favicon.ico">

    <title>Album example for Bootstrap</title>

    <link rel="canonical" href="https://getbootstrap.com/docs/4.0/examples/album/">

    <!-- Bootstrap core CSS -->
    <link href="../../dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="album.css" rel="stylesheet">
  </head>
{% endblock %}

{% block content %}
    <body>

    <main role="main">



      <section class="mt-5 text-left">
        <div class="container w-25">
            <br/>
          <h1 class="jumbotron-heading">Effectuer une recherche </h1>
            <form action="{% url "core:get_choice" %}" method="post">
                {% csrf_token %}
                {{ form|crispy }}
                <input class="btn btn-primary my-2" type="submit" value="Rechercher">
            </form>
        </div>
      </section>


    </main>
  </body>

{% endblock %}

templates/loaded_success.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Loading sucess</title>
</head>
<body>
You have successfully loaded the files in the db !
</body>
</html>

templates/loaded_success_patterns.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Loading sucess</title>
</head>
<body>
You have successfully loaded the base patterns in the db !
</body>
</html>

templates/selected_table.html
<!DOCTYPE html>
{% extends "base.html" %}
{% load static %}

<link href="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/js/bootstrap.min.js"></script>
<script src="//code.jquery.com/jquery-1.11.1.min.js"></script>



<html lang="en">




{% block content %}

    <body>
    <br/>
    <table class="table mt-5">
      <thead>
        <tr>
            <th scope="col">Receuil</th>
            <th scope="col">Page</th>
            <th scope="col">Juridiction</th>
            <th scope="col">Date</th>
            <th scope="col">Armes juridictionnelles</th>
            <th scope="col">Contenu de l'arrêt</th>
        </tr>
      </thead>
      <tbody>
      {% for arret_obj in object_list %}
        <tr>
            <td>{{ arret_obj.annee }}-{{ arret_obj.num_receuil }}</td>
            <td>{{ arret_obj.page }}</td>
            <td>{{ arret_obj.juridiction }}</td>
            <td>{{ arret_obj.date }}</td>
            <td>{{ arret_obj.Armes_juridictionnelles }}</td>
            <td>{{ arret_obj.highlights }}</td>
        <td>
            <div class="checkbox-container">
                <form action="{% url 'core:select' arret_obj.identifiant  %}" method="get" class="form-example" >
                    <label class="checkbox-label">
                        <input onChange="this.form.submit()" type="checkbox" {% if arret_obj.selected %} checked {% endif %}>
                        <span class="checkbox-custom rectangular"></span>
                    </label>
                </form>
            </div>

        </td>

            <td>
                <a  target="_blank" href={{ arret_obj.image }}>
                    <button class="btn btn-primary waves-effect">
                        View
                    </button>
                </a>
            </td>
        </tr>
      {% endfor %}
      </tbody>
    </table>

    <nav aria-label="Page navigation example">
      <ul class="pagination">

          {% if page_obj.has_previous %}
              <li class="page-item">
                        <a class="page-link" href="?page={{ page_obj.previous_page_number }}" aria-label="Previous">
                          <span aria-hidden="true">&laquo;</span>
                          <span class="sr-only">Previous</span>
                        </a>
              </li>
          {% endif %}

        <li class="page-item"><a class="page-link" href="#">{{ page_obj.number }} / {{ page_obj.paginator.num_pages }}</a></li>

          {% if page_obj.has_next %}
              <li class="page-item">
                  <a class="page-link" href="?page={{ page_obj.next_page_number }}" aria-label="Next">
                      <span aria-hidden="true">&raquo;</span>
                      <span class="sr-only">Next</span>
                  </a>
              </li>
          {% endif %}

      </ul>

    </nav>
    </body>
{% endblock %}


<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"></script>

<script type="text/javascript" src="{% static 'js/jquery-3.3.1.min.js' %}"></script>
<script type="text/javascript" src="{% static 'js/popper.min.js' %}"></script>
<script type="text/javascript" src="{% static 'js/bootstrap.min.js' %}"></script>
<script type="text/javascript" src="{% static 'js/mdb.min.js' %}"></script>
  <script type="text/javascript">
    new WOW().init();
  </script>



</html>

templates/suggestions_table.html
<!DOCTYPE html>
{% extends "base.html" %}
{% load static %}

<link href="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/js/bootstrap.min.js"></script>
<script src="//code.jquery.com/jquery-1.11.1.min.js"></script>



<html lang="en">




{% block content %}

    <body>
    <br/>
    {% if display_selected %}
                <div class="checkbox-container mt-5 mb-3">
                    <form action="{% url "core:suggestions" borne_inf borne_sup combinaison  False %}" method="get" class="form-example" >
                        <label class="checkbox-label">
                            <input onChange="this.form.submit()" type="checkbox" checked>
                            <span class="checkbox-custom rectangular"></span>
                        </label>
                    </form>
                </div>

    {% else %}
                <div class="checkbox-container mt-5 mb-3">
                    <form action="{% url "core:suggestions"  borne_inf borne_sup combinaison  True %}" method="get" class="form-example" >
                        <label class="checkbox-label">
                            <input onChange="this.form.submit()" type="checkbox" >
                            <span class="checkbox-custom rectangular"></span>
                        </label>
                    </form>
                </div>
    {% endif %}




    <table class="table">
      <thead>
        <tr>
            <th scope="col">Année du recueil</th>
            <th scope="col">Juridiction</th>
            <th scope="col">Date</th>
            <th scope="col">Armes juridictionnelles</th>
            <th scope="col">Contenu de l'arrêt</th>
        </tr>
      </thead>
      <tbody>
      {% for arret_obj in object_list %}
        <tr>
            <td>{{ arret_obj.annee }}</td>
            <td>{{ arret_obj.juridiction }}</td>
            <td>{{ arret_obj.date }}</td>
            <td>{{ arret_obj.get_armes_juridictionnelles }}</td>
            <td>{{ arret_obj.highlights }}</td>
        <td>
            <div class="checkbox-container">
                <form action="{% url 'core:select' arret_obj.identifiant  %}" method="get" class="form-example" >
                    <label class="checkbox-label">
                        <input onChange="this.form.submit()" type="checkbox" {% if arret_obj.selected %} checked {% endif %}>
                        <span class="checkbox-custom rectangular"></span>
                    </label>
                </form>
            </div>

        </td>

            <td>
                <a  target="_blank" href={{ arret_obj.image }}>
                    <button class="btn btn-primary waves-effect">
                        View
                    </button>
                </a>
            </td>
        </tr>
      {% endfor %}
      </tbody>
    </table>

    <nav aria-label="Page navigation example">
      <ul class="pagination">

          {% if page_obj.has_previous %}
              <li class="page-item">
                        <a class="page-link" href="?page={{ page_obj.previous_page_number }}" aria-label="Previous">
                          <span aria-hidden="true">&laquo;</span>
                          <span class="sr-only">Previous</span>
                        </a>
              </li>
          {% endif %}

        <li class="page-item"><a class="page-link" href="#">{{ page_obj.number }} / {{ page_obj.paginator.num_pages }}</a></li>

          {% if page_obj.has_next %}
              <li class="page-item">
                  <a class="page-link" href="?page={{ page_obj.next_page_number }}" aria-label="Next">
                      <span aria-hidden="true">&raquo;</span>
                      <span class="sr-only">Next</span>
                  </a>
              </li>
          {% endif %}

      </ul>

    </nav>
    </body>
{% endblock %}


<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"></script>

<script type="text/javascript" src="{% static 'js/jquery-3.3.1.min.js' %}"></script>
<script type="text/javascript" src="{% static 'js/popper.min.js' %}"></script>
<script type="text/javascript" src="{% static 'js/bootstrap.min.js' %}"></script>
<script type="text/javascript" src="{% static 'js/mdb.min.js' %}"></script>
  <script type="text/javascript">
    new WOW().init();
  </script>



</html>